# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['payulator']

package_data = \
{'': ['*']}

install_requires = \
['pandas<2', 'voluptuous<1']

setup_kwargs = {
    'name': 'payulator',
    'version': '4.1.1',
    'description': 'A Python 3.9+ loan calculator',
    'long_description': "Payulator\n*********\n.. image:: http://mybinder.org/badge.svg\n    :target: http://mybinder.org:/repo/araichev/payulator\n\n.. image:: https://travis-ci.org/araichev/payulator.svg?branch=master\n    :target: https://travis-ci.org/araichev/payulator\n\nA small Python 3.9+ library that calculates loan payments.\nSimilar to the business loan calculator at `Calculator.net <https://www.calculator.net/business-loan-calculator.html>`_.\n\n\nInstallation\n============\n``poetry add payulator``\n\n\nUsage\n=====\nPlay with the examples in the Jupyter notebook at ``notebooks/examples.ipynb``\nYou can even do so online by clicking the Binder badge above.\n\n\nAuthors\n=======\n- Alex Raichev, 2018-01-20\n\n\nDocumentation\n=============\nOn Github Pages `here <https://araichev.gitub.io/payulator_docs/>`_.\n\n\nChanges\n=======\n\n4.1.1, 2021-11-22\n-----------------\n- Renamed key ``interest_and_fee_total/principal`` to ``interest_and_fee_total_over_principal``, which is a valid Python variable name.\n\n\n4.1.0, 2021-11-22\n-----------------\n- Made validation automatic after instatiation, so no bad Loans can be created.\n\n\n4.0.0, 2021-11-19\n-----------------\n- Refactored with an eye toward simplification.\n- Upgraded to Python 3.9.\n\n\n3.4.0, 2020-09-30\n-----------------\n- Updated dependencies.\n\n\n3.3.0, 2019-06-04\n-----------------\n- Added the key ``periodic_payment`` to the output of the function ``summarize_interest_only_loan``.\n- Added the keys ``first_payment_date`` and ``last_payment_date`` to the output of the functions ``summarize_interest_only_loan`` and ``summarize_ammortized_loan``.\n- Updated dependencies.\n\n\n3.2.0, 2019-04-15\n-----------------\n- Added a ``fee_payment`` column to payment schedules. It's debatable whether this is a breaking change. I'll say no.\n- Added date slicing to the function ``aggregate_payment_schedules`` and some cumulative sum columns to the output. It's debatable whether the latter is a breaking change. I'll say no.\n- Added more type hints.\n- Published to PyPI.\n\n\n3.1.0, 2019-02-22\n-----------------\n- Switched to Poetry\n- Switched to Python 3.6\n- Used data class\n\n\n3.0.0, 2018-03-24\n-----------------\n- Changed function names\n- Added a Loan class\n\n\n2.0.0, 2018-03-10\n-----------------\n- Changed function names\n- Replaced number of years with number of payments\n- Added a function to compute interest-only loans\n\n\n1.1.0, 2018-03-03\n-----------------\n- Added the function ``aggregate_payment_schedules``\n\n\n1.0.0, 2018-01-27\n------------------\n- First release\n",
    'author': 'Alex Raichev',
    'author_email': 'alex@raichev.net',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
